<style>
	svg{
		    border: 1px solid #efefef;
    box-shadow: 1px 1px 5px #a0a0a0;
    margin-top: 15px;
	}
</style>

<div class="container ET_EXT">
	<svg et id="hsvg" xmlns="http://www.w3.org/2000/svg" class="col-xs-12" style="height: 300px; " datapoint="true" >
	</svg>
	<p>
		<a href="javascript:drawLine()" >Line</a>
		<a href="javascript:drawRect()" >Rect</a>
		<a href="javascript:drawCircle()" >Circle</a>
		<a href="javascript:drawEllipse()" >Ellipse</a>
		<a href="javascript:drawPolygon()" >Polygon</a>
		<a href="javascript:drawPolygon()" >Polygon</a>
		<a href="javascript:drawPath()" >Path</a>
		<a href="javascript:drawText()" >Text</a>
		<a href="javascript:drawRulerH()" >Ruler(H)</a>
		<a href="javascript:drawRulerV()" >Ruler(V)</a>
		<a href="javascript:drawRulerLine()" >Ruler(line)</a>
	</p>
</div>
<div class="container">
	<pre et type="text/html">
&lt;svg et id="hsvg" xmlns="http://www.w3.org/2000/svg" style="height: 300px; width: 90%;" 
	datapoint="1"  // 显示数据点
&gt;
&lt;/svg&gt;
	</pre>
	<pre et type="text/javascript">
var data = [
	{"语文":0, "数学":40, "英语":80 },
	{"语文":10, "数学":50, "英语":90 },
	{"语文":20, "数学":60, "英语":100 },
	{"语文":30, "数学":70, "英语":110 },
	// {"语文":87, "数学":66, "英语":38 }
]
, xkeys = [
	ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('1 days')))
	, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('2 days')))
	, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('3 days')))
	, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('4 days')))
];

hsvg.chartLine(data, xkeys);		
	</pre>
</div>
<script>

	function getRandPoss(){
		var p=[], n=ET.random.int(1, 5);
		for(var i=0; i<n; i++){
			p.push(getRandPos());
		}
		return p;
	}
	function getRandPos(){
		return {
			'x' : Math.random()*$(hsvg).width()-1
			,'y' : Math.random()*$(hsvg).height()-1
		}
	}

	function getRandColor(){
		var n=ET.random.int(0x000000, 0xffffff);
		return '#'+n.toString(16);
	}
	function drawLine(){
		var p =getRandPos();
		var p2 =getRandPos();
		hsvg.drawLine(p.x, p.y, p2.x, p2.y, getRandColor(), 1);
	}
	function drawRect(){
		var p =getRandPos();
		var p2 =getRandPos();
		hsvg.drawRect(p.x, p.y, p2.x, p2.y, 0, 0, getRandColor());
	}
	function drawCircle(){
		var p =getRandPos();
		hsvg.drawCircle(p.x, p.y, ET.random.int(1, 20), getRandColor());
	}
	function drawEllipse(){
		var p =getRandPos();
		hsvg.drawEllipse(p.x, p.y, ET.random.int(1, 20), ET.random.int(1, 25), null, getRandColor());
	}
	function drawPolygon(){
		var p =getRandPoss();
		hsvg.drawPolygon(p,getRandColor(),getRandColor());
	}
	function drawPolyline(){
		var p =getRandPoss();
		hsvg.drawPolyline(p, null, getRandColor());
	}
	function drawPath(){
		hsvg.drawPath([{c:'m', x:100, y:0},{'c':'l', x:0, y:100},{'c':'l', x:200, y:100}], true, getRandColor());
	}
	function drawText(n){
		var p =getRandPos(), n=n?n:30;
		if(n<2){return ;}
		setTimeout(function(){
			hsvg.drawText(p.x, p.y, '39doo.com', 0, 0, Math.random()*30, getRandColor());
			drawText(n-1);
		}, 10);
	}
	function drawRulerH(){
		var p ={x:60, y:30};
		hsvg.drawRuler(p.x, p.y, p.x+400, p.y, 0, 100, null, 0);
		hsvg.drawRuler(p.x, p.y+80, p.x+400, p.y+80, 0, 150, null, 1);
		hsvg.drawRuler(p.x, p.y+140, p.x+400, p.y+140, 0, 130, null, 2);
		hsvg.drawRuler(p.x, p.y+220, p.x+400, p.y+220, 0, 200, null, 3);
	}
	function drawRulerV(){
		var p ={x:60, y:10};
		hsvg.drawRuler(p.x, p.y, p.x, p.y+200, 0, 100, null, 0);
		hsvg.drawRuler(p.x+100, p.y, p.x+100, p.y+200, 0, 100, null, 1);
		hsvg.drawRuler(p.x+160, p.y, p.x+160, p.y+200, 0, 100, null, 2);
		hsvg.drawRuler(p.x+240, p.y, p.x+240, p.y+200, 0, 100, null, 3);
	}
	function drawRulerLine(){
		var data=[], n=ET.random.int(7)+10;
		for(var i=0; i<n; i++){
			data.push({
				'语文':ET.random.int(100)
				,'数学':ET.random.int(100)
				,'英语':ET.random.int(100)
			});
		}
		data = [
			{"语文":0, "数学":40, "英语":80 },
			{"语文":10, "数学":50, "英语":90 },
			{"语文":20, "数学":60, "英语":100 },
			{"语文":30, "数学":70, "英语":110 },
			// {"语文":87, "数学":66, "英语":38 }
		];
		xkeys = [
			ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('1 days')))
			, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('2 days')))
			, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('3 days')))
			, ET.date.formate("yyyy-MM-dd", new Date(ET.date.strtotime('4 days')))
		];

		// console.log(ET.object.toString(data));

		hsvg.chartLine(data, xkeys);
	}
	ET.loadLib('date');
	setTimeout(function(){drawRulerLine()}, 100);
</script>